package de.dhbw.contactdb;


/**
 * Main class
 *
 * @author florian kaiser
 * @version 1.0
 * @since 21.06.2021
 */
public class Place {
    /**
     * is place indoor
     */
    private final boolean indoor;
    /**
     * ID of place
     */
    private int id;
    /**
     * name of place
     */
    private String name;


    /**
     * Constructor
     *
     * @param id     ID of place
     * @param name   Name of place
     * @param indoor is place indoor
     */
    public Place(int id, String name, boolean indoor) {
        this.id = id;
        this.name = name;
        this.indoor = indoor;
    }


    /**
     * @return {@link #id}
     */
    public int getId() {
        return id;
    }


    /**
     * @param id {@link #id}
     */
    public void setId(int id) {
        this.id = id;
    }


    /**
     * @return {@link #name}
     */
    public String getName() {
        return name;
    }


    /**
     * @param name {@link #name}
     */
    public void setName(String name) {
        this.name = name;
    }


    /**
     * @return {@link #indoor}
     */
    public boolean isIndoor() {
        return indoor;
    }

    @Override
    public String toString() {
        return "Ort{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", indoor=" + indoor +
                '}';
    }
}
